/**/

/*---------------------------------------------------------------------------*/
/*  IBM PC DOS File Management System Equates				     */
/*---------------------------------------------------------------------------*/

#define DOS_INT		0x021		/*DOS soft interrupt number*/


/*  DOS INT 21 Function numbers  */

#define DOS_PROGRAM_TERMINATE		0x000
#define DOS_KEYBOARD_INPUT		0x001
#define DOS_DISPLAY_OUTPUT		0x002
#define DOS_AUXILIARY_INPUT		0x003
#define DOS_AUXILIARY_OUTPUT		0x004
#define DOS_PRINTER_OUTPUT		0x005
#define DOS_DIRECT_CONSOLE_IO		0x006
#define DOS_DIRECT_CONSOLE_INPUT 	0x007
#define DOS_CONSOLE_INPUT		0x008
#define DOS_PRINT_STRING		0x009
#define DOS_BUFFERED_KEYBOARD_INPUT 	0x00A
#define DOS_CHK_STD_INPUT_STATUS 	0x00B
#define DOS_CLEAR_KEYBOARD_BUFFER 	0x00C
#define DOS_DISK_RESET			0x00D
#define DOS_SELECT_DISK			0x00E
#define DOS_TRADITIONAL_OPEN_FILE	0x00F
#define DOS_TRADITIONAL_CLOSE_FILE	0x010
#define DOS_SEARCH_FIRST_ENTRY		0x011
#define DOS_SEARCH_NEXT_ENTRY		0x012
#define DOS_TRADITIONAL_DELETE_FILE	0x013
#define DOS_TRADITIONAL_SEQ_READ	0x014
#define DOS_TRADITIONAL_SEQ_WRITE	0x015
#define DOS_TRADITIONAL_CREATE_FILE	0x016
#define DOS_TRADITIONAL_RENAME_FILE	0x017
#define DOS_CURRENT_DISK		0x019
#define DOS_SET_DISK_TRANSFER_ADDR	0x01A
#define DOS_ALLOC_TABLE_INFO		0x01B
#define DOS_SPECIFIC_ALLOC_TABLE_INFO	0x01C
#define DOS_TRADITIONAL_RANDOM_READ	0x021
#define DOS_TRADITIONAL_RANDOM_WRITE	0x022
#define DOS_FILE_SIZE			0x023
#define DOS_SET_REL_RECORD_FIELD	0x024
#define DOS_SET_INT_VECTOR		0x025
#define DOS_CREATE_PROGRAM_SEGMENT	0x026
#define DOS_TRADITIONAL_RANDOM_BLK_RD	0x027
#define DOS_TRADITIONAL_RANDOM_BLK_WR	0x028
#define DOS_PARSE_FILENAME		0x029
#define DOS_GET_DATE			0x02A
#define DOS_SET_DATE			0x02B
#define DOS_GET_TIME			0x02C
#define DOS_SET_TIME			0x02D
#define DOS_SET_RESET_VERIFY_SWITCH	0x02E
#define DOS_GET_DISK_TRANSFER_ADDR	0x02F
#define DOS_GET_VERSION			0x030
#define DOS_TERMINATE_STAY_RESIDENT	0x031
#define DOS_CTRL_BREAK_CHECK		0x033
#define DOS_GET_VECTOR			0x035
#define DOS_GET_DISK_FREE_SPACE		0x036
#define DOS_GET_SET_COUNTRY_INFO	0x038
#define DOS_MKDIR			0x039
#define DOS_RMDIR			0x03A
#define DOS_CHDIR			0x03B
#define DOS_CREATE_FILE			0x03C
#define DOS_OPEN_FILE			0x03D
#define DOS_CLOSE_FILE			0x03E
#define DOS_READ_FILE			0x03F
#define DOS_WRITE_FILE			0x040
#define DOS_UNLINK			0x041
#define DOS_LSEEK			0x042
#define DOS_CHMOD			0x043
#define DOS_IOCTL			0x044
#define DOS_DUP				0x045
#define DOS_FORCDUP			0x046
#define DOS_GET_CURRENT_DIR		0x047
#define DOS_ALLOCATE_MEMORY		0x048
#define DOS_FREE_ALLOCATED_MEMORY	0x049
#define DOS_SETBLOCK			0x04A
#define DOS_EXEC			0x04B
#define DOS_EXIT			0x04C
#define DOS_WAIT			0x04D
#define DOS_FIND_FIRST			0x04E
#define DOS_FIND_NEXT			0x04F
#define DOS_GET_VERIFY_SETTING		0x054
#define DOS_RENAME_FILE			0x056
#define DOS_GET_SET_FILE_DATE_TIME	0x057
#define DOS_GET_EXT_ERROR		0x059
#define DOS_CREATE_UNIQUE_FILE		0x05A
#define DOS_CREATE_NEW_FILE		0x05B
#define DOS_LOCK_UNLOCK_FILE_ACCESS	0x05C
#define DOS_GET_MACHINE_NAME		0x05E00
#define DOS_SET_PRINTER_SETUP		0x05E02
#define DOS_GET_PRINTER_SETUP		0x05E03
#define DOS_GET_REDIRECT_LIST_ENTRY	0x05F02
#define DOS_REDIRECT_DEVICE		0x05F03
#define DOS_CANCEL_REDIRECT		0x05F04
#define DOS_GET_PROGRAM_SEG_PREFIX	0x062

/**/

#define DOS_GET_DEVICE_INFO	0x00		/*DOS func 44H, subfunc get device information*/
#define DOS_SET_DEVICE_INFO	0x01		/*DOS func 44H, subfunc set device information*/
#define DOS_IOCTL_INPUT	0x02				/*DOS func 44H, subfunc INPUT*/
#define DOS_IOCTL_OUTPUT	0x03			/*DOS func 44H, subfunc OUTPUT*/
#define DOS_DEV_INFO_BINARY_MODE 0x20  /*set device info to binary mode*/

#define DOS_READ_MODE	0x00		/*DOS func 3DH, OPEN mode*/
#define DOS_WRITE_MODE	0x01		/*  "*/
#define DOS_READ_WRITE_MODE	0x02		/*  "*/

#define DOS_CREATE_ATTRIBUTES 0x00	/*DOS func 3CH, file attributes*/

